Skip to main content
GET
Send media to top

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
integer
required

Media ID

Example:

1

Response

Medium · object | null

Success

Media resource with user-specific data and associations

id
user_id
title
description
object | null
stripped
media_type
media_format
image_url
video_url
pdf_url
kind
active
boolean | null
visibility
views
leads
watch
object | null
video_status
duration
cta_url
cta_button_text
cta_enabled
boolean | null
cta_action_type
video_shopping_enabled
boolean | null
prompts_enabled
boolean | null
ranks
(string | number | integer | null)[] | null
settings
object | null
application_theme_template_id
created_at
subtitles
object | null

Hash of language ISO codes to subtitle text

countries
(object | null)[] | null
tags
(object | null)[] | null
slug

URL-friendly slug for the media item

canonical_url

The primary URL for accessing this media item on the company's website

custom_slug
boolean | null

Whether the slug was customized by the user

prompts
(object | null)[] | null

Only included if media_type is 'share' or 'upload'

attached_shareables
(object | null)[] | null
comments
(object | null)[] | null

Only included if video_shopping_enabled is true and display_comments is true

label
object | null

Label object for the resource

display_tag

Display tag for the resource

publish_at

Scheduled publish date/time. If set to a future date, the media will not be publicly accessible until that time.